Skip to main content
Get Published Appointments

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

AppointmentIds

GetPublishedAppointments: Get published appointments by appointment ids.

AppointmentIds
integer<int32>[]

Response

OK

AppointmentId
integer<int32>

Primary key

StartDate
string<date-time>

date + start time planned

EndDate
string<date-time>

Date + end time planned

Type
enum<string>

The different types of appointment, if the appointment is supposed to be shown in the diary or checklist, or if it's a document. See the different types of appointments in the database manual.

Available options:
Unknown,
inDiary,
inChecklist,
Note,
Document,
SavedReport,
BookingForDiary,
BookingForChecklist,
MergeDraft,
MergeFinal
Task
string

Task comprises the different types of activities, like “Phone call”, “Meeting” and so on.

AssociateFullName
string

The owner of the appointment - the associate whose diary/checklist the appointment is in.

ContactName
string

The contact associated with the appointment.

Description
string

The appointment's textbox; holds a descriptive text about the appointment. Filled out by the user.

PersonFullName
string

The full name of the person this appointment belongs to.

PersonId
integer<int32>

Person ID of person the appointment is with, may be 0

ContactId
integer<int32>

Contact ID of owning contact, may be 0

ProjectId
integer<int32>

ID of project referred to, may be 0

ProjectName
string

The name of the project this appointment belong to. Blank if no project is connected.

IsPublished
boolean

True if appointment have an entry in published table

AssociateId
integer<int32>

ID of associate whose diary the appointment is in, REQUIRED

ColorIndex
integer<int32>

Appointment colour, used only in Japanese versions. Western versions take colour from Task

IsFree
boolean

True if free, false if busy

HasAlarm
boolean

Does this appointment have an alarm

IsAlldayEvent
boolean

True if all day event

Private
enum<string>

Obsolete, but still maintained field for appointment privacy; denormalization of visiblefor status

Available options:
Public,
PrivateUser,
PrivateGroup
PriorityId
integer<int32>

Link to priority list

PriorityName
string

Name of the appointments priority

TaskType
enum<string>

The different task types of the appointment, if the activity is an appointment, task, phone. See the different types of appointments in the database manual.

Available options:
Unknown,
Appointment,
Document,
Email,
Fax,
Phone,
ToDo,
MailMergeDraft,
MailMergeFinal,
Report,
SaintAll
IsBookingMain
boolean

True if this appointment is a booking and current associate is the owner. False if it is a booking and current associate is a participant.

IsRecurrence
boolean

True if the appointment is part of a recurring pattern.

IsBooking
boolean

True if this appointment is a booking.

ActiveDate
string<date-time>

The date to be used for searching & showing

AssignmentStatus
enum<string>

Status if this appointment is in the process of being assigned to someone else

Available options:
Unknown,
None,
Assigning,
Seen,
Declined
InvitationStatus
enum<string>

Status if this appointment represents an invitation

Available options:
Unknown,
None,
Accepted,
Hidden,
Invitation,
Moved,
Seen,
MovedSeen,
Declined,
Cancelled
BookingType
enum<string>

The type of booking the appointment represents

Available options:
Unknown,
None,
Owner,
Participant
Completed
enum<string>

The Completed state.

Available options:
Unknown,
NotStarted,
Started,
Completed
RecurringPattern
enum<string>
Available options:
Unknown,
Daily,
Weekly,
Monthly,
Yearly,
Custom
RecurringStartDate
string<date-time>
RecurringEndDate
string<date-time>
MotherId
integer<int32>

ID of mother appointment; self if booking master, master ID if booking slave, 0 if normal appointment. However, if 0 and assoc_id != reg_id then this is an assigned appointment, indicated vt type = kBooking

AssignedBy
integer<int32>

Who (last) assigned this appointment to associate_id?

AssignedByFullName
string

The associate's culture formatted fullname (firstname, middleName and lastname)

RejectReason
string

Why was this booking or assignment rejected, the RejectReason list is a source of suggestions but you can write anything here

Location
string

Location for appointment, defaulted from invited resource of type place and other rules, but you can write anything you want here

AlarmLeadTime
string

Alarm lead time.

SaleId
integer<int32>

Owning sale, if any (may be 0)

SaleName
string

Heading of Owning sale, if any. (may be blank)

AssociateName
string

The associate's name

CreatedDate
string<date-time>

Appointment creation date

CreatedBy
string

Who created the appointment. Associate name.

CreatedByFullName
string

Who created the appointment. Full name.

CreatedByAssociateId
integer<int32>

Id of the associate that created the appointment

CautionWarning
enum<string>

Status field to indicate appointments that have some sort of problem

Available options:
OK,
NotInSync,
NotNotifiedByEmail,
RecurrencePatternNotSupported,
IncomingRecurrenceChangeNotSupported,
ExternalParticipantsDateTimeMismatch
OwnedExternally
enum<string>

Set if an external system owns this appointment.

Available options:
None,
Other,
Outlook,
Google
MotherAssociateId
integer<int32>

Associate/owner of the mother appointment

JoinVideomeetUrl
string

Blank when not a video meeting. Filled with Join Meeting URL when created.

PreferredTZLocation
integer<int32>

Preferred timezone location to use when displaying/editing this appointment

Title
string

The title of the appointment.

Agenda
string

The agenda of the appointment.

InternalNotes
string

Internal notes for the appointment.

TaskId
integer<int32>

Link to task list

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.